package de.example.beans;

import java.io.Serializable;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import de.example.ejb.ISimpleEJB;

@ManagedBean
@SessionScoped
public class Content implements Serializable {

	private static final long serialVersionUID = 5526381952953438091L;

	private String title = "Hello JBoss AS 7 :-)";
	
	@EJB(beanName = "SimpleEJB")
	private ISimpleEJB ejb;
	
	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
	
	public int getVal() {
		try {
			return ejb.add(2, 4);			
		}
		catch (Exception e) {
			return -1; 
		}
	}
}
